×
INDI Library v1.8.9 Released (01 Mar 2021)

INDI monthly update. In addition to driver improvements, major code refactoring is in progress by @pawel-soja to modernize and improve INDI aging code.

New forum users, please go here first: indilib.org/forum/new-forum-users.html

Driver for old Meade DSi 1 Pro

5 months 2 weeks ago
knro
Administrator
Administrator
Posts: 8841
Karma: 51
Driver for old Meade DSi 1 Pro #59824
You need to add https://github.com...etc

Jasem Mutlaq
Support INDI & Ekos; Get StellarMate Astrophotography Gadget.
How to Submit Logs when you have problems?
Add your observatory info

Please Log in or Create an account to join the conversation.

5 months 2 weeks ago
Bruceaust
Senior Member
Senior Member
Posts: 52
More
Topic Author
Driver for old Meade DSi 1 Pro #59825
Hi Ben,
thanks for your help again.
I have looked at your code updates.
As i think i understand, you are now looking for the camera name or the camera id string?
It will be fantastic if the DIS can be used within Kstars for Photomerty and a bit of AP.
i feel we almost have it sorted.
Bruce

Please Log in or Create an account to join the conversation.

5 months 2 weeks ago
Bruceaust
Senior Member
Senior Member
Posts: 52
More
Topic Author
Driver for old Meade DSi 1 Pro #59827
after running cmake -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_BUILD_TYPE=Debug ../../indi-dsi/

terminal returns:
bruce@bruce-HP-ProBook-6460b:~/indi-3rdparty/build/indi-dsi$ cmake -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_BUILD_TYPE=Debug ../../indi-dsi/
-- Found CFITSIO: /usr/lib/x86_64-linux-gnu/libcfitsio.so
CMake Error at /home/bruce/indi-3rdparty/cmake_modules/FindINDI.cmake:285 (message):
Could not find INDI include directory
Call Stack (most recent call first):
CMakeLists.txt:18 (find_package)


-- Configuring incomplete, errors occurred!
See also "/home/bruce/indi-3rdparty/build/indi-dsi/CMakeFiles/CMakeOutput.log".
bruce@bruce-HP-ProBook-6460b:~/indi-3rdparty/build/indi-dsi$

Please Log in or Create an account to join the conversation.

5 months 2 weeks ago
bgilsrud
Senior Member
Senior Member
Posts: 72
Karma: 1
More
Driver for old Meade DSi 1 Pro #59831
You could try installing libindi-dev (sudo apt-get install libindi-dev). I think that should do it.

Please Log in or Create an account to join the conversation.

5 months 2 weeks ago 5 months 2 weeks ago by Bruceaust.
Bruceaust
Senior Member
Senior Member
Posts: 52
More
Topic Author
Driver for old Meade DSi 1 Pro #59838
Hi Ben and Jasem
Still no luck.
just tried ""sudo apt-get install libindi-dev

Terminal :
bruce@bruce-HP-ProBook-6460b:~$ sudo apt-get install libindi-dev
[sudo] password for bruce:
Sorry, try again.
[sudo] password for bruce:
Reading package lists... Done
Building dependency tree
Reading state information... Done
libindi-dev is already the newest version (1.8.6~202008211453~ubuntu20.04.1).
0 to upgrade, 0 to newly install, 0 to remove and 13 not to upgrade.
bruce@bruce-HP-ProBook-6460b:~$


KstarsEkos once again: 2020-09-13T09:18:04: [INFO] Unable to find DSI. Has the firmware been loaded?

Please Log in or Create an account to join the conversation.

5 months 2 weeks ago
Bruceaust
Senior Member
Senior Member
Posts: 52
More
Topic Author
Driver for old Meade DSi 1 Pro #59841
WELL!
I revisited the code you suggested earlier that didn't work
This time around it worked!!!
...........so happy
So Ben I guess you can I tested the code from my pc.
Will this change be made available to normal driver download?
You have been most helpful, thank you.
If I can help in any way ie testing etc., I would be pleased if i could help.

Here is your code i ran in terminal to get the dsi connecting:

bruce@bruce-HP-ProBook-6460b:~$ git clone github.com/bgilsrud/indi-3rdparty.git
fatal: destination path 'indi-3rdparty' already exists and is not an empty directory.
bruce@bruce-HP-ProBook-6460b:~$ cd indi-3rdparty
bruce@bruce-HP-ProBook-6460b:~/indi-3rdparty$ git checkout dsi_model_name_fix
Already on 'dsi_model_name_fix'
Your branch is up to date with 'origin/dsi_model_name_fix'.
bruce@bruce-HP-ProBook-6460b:~/indi-3rdparty$ mkdir -p build/indi-dsi
bruce@bruce-HP-ProBook-6460b:~/indi-3rdparty$ cd build/indi-dsi/
bruce@bruce-HP-ProBook-6460b:~/indi-3rdparty/build/indi-dsi$ cmake -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_BUILD_TYPE=Debug ../../indi-dsi/
-- Found CFITSIO: /usr/lib/x86_64-linux-gnu/libcfitsio.so
-- Found INDI: /usr/lib/x86_64-linux-gnu/libindidriver.so;/usr/lib/x86_64-linux-gnu/libindiAlignmentDriver.so (found version "1.8.6")
-- Found ZLIB: /usr/lib/x86_64-linux-gnu/libz.so (found version "1.2.11")
-- Found PkgConfig: /usr/bin/pkg-config (found version "0.29.1")
-- Found USB1: /usr/lib/x86_64-linux-gnu/libusb-1.0.so (found version "1.0.23")
-- Performing Test USB1_HAS_LIBUSB_ERROR_NAME
-- Performing Test USB1_HAS_LIBUSB_ERROR_NAME - Success
-- Performing Test COMPATIBLE_FORTIFY_SOURCE
-- Performing Test COMPATIBLE_FORTIFY_SOURCE - Success
-- Configuring done
-- Generating done
-- Build files have been written to: /home/bruce/indi-3rdparty/build/indi-dsi
bruce@bruce-HP-ProBook-6460b:~/indi-3rdparty/build/indi-dsi$ make
Scanning dependencies of target indi_dsi_ccd
[ 8%] Building CXX object CMakeFiles/indi_dsi_ccd.dir/dsi_ccd.cpp.o
[ 16%] Building CXX object CMakeFiles/indi_dsi_ccd.dir/DsiDevice.cpp.o
[ 25%] Building CXX object CMakeFiles/indi_dsi_ccd.dir/DsiDeviceFactory.cpp.o
[ 33%] Building CXX object CMakeFiles/indi_dsi_ccd.dir/DsiPro.cpp.o
[ 41%] Building CXX object CMakeFiles/indi_dsi_ccd.dir/DsiColor.cpp.o
[ 50%] Building CXX object CMakeFiles/indi_dsi_ccd.dir/DsiProII.cpp.o
[ 58%] Building CXX object CMakeFiles/indi_dsi_ccd.dir/DsiProIII.cpp.o
[ 66%] Building CXX object CMakeFiles/indi_dsi_ccd.dir/DsiColorII.cpp.o
[ 75%] Building CXX object CMakeFiles/indi_dsi_ccd.dir/DsiColorIII.cpp.o
[ 83%] Building CXX object CMakeFiles/indi_dsi_ccd.dir/DsiTypes.cpp.o
[ 91%] Building CXX object CMakeFiles/indi_dsi_ccd.dir/Util.cpp.o
[100%] Linking CXX executable indi_dsi_ccd
[100%] Built target indi_dsi_ccd
bruce@bruce-HP-ProBook-6460b:~/indi-3rdparty/build/indi-dsi$ sudo make install
[sudo] password for bruce:
[100%] Built target indi_dsi_ccd
Install the project...
-- Install configuration: "Debug"
-- Installing: /usr/bin/indi_dsi_ccd
-- Installing: /usr/share/indi/indi_dsi.xml
-- Installing: /etc/udev/rules.d/99-meadedsi.rules
-- Installing: /lib/firmware/meade-deepskyimager.hex
bruce@bruce-HP-ProBook-6460b:~/indi-3rdparty/build/indi-dsi$

Please Log in or Create an account to join the conversation.

5 months 2 weeks ago
Bruceaust
Senior Member
Senior Member
Posts: 52
More
Topic Author
Driver for old Meade DSi 1 Pro #59842
Does this mean my dsi should work from now on? even after upgrades/updates?

Please Log in or Create an account to join the conversation.

5 months 2 weeks ago
bgilsrud
Senior Member
Senior Member
Posts: 72
Karma: 1
More
Driver for old Meade DSi 1 Pro #59853
That's great news! I've submitted the change to be included upstream. Once that happens (I'll update this thread) then yes, you should be able to do upgrades and have the camera just work.

Thanks,
Ben
The following user(s) said Thank You Bruceaust

Please Log in or Create an account to join the conversation.

5 months 2 weeks ago
Bruceaust
Senior Member
Senior Member
Posts: 52
More
Topic Author
Driver for old Meade DSi 1 Pro #59859
Many thanks,.................

Bruce

Please Log in or Create an account to join the conversation.

5 months 2 weeks ago
bgilsrud
Senior Member
Senior Member
Posts: 72
Karma: 1
More
Driver for old Meade DSi 1 Pro #59869
Jasem already merged the change. I think the packages in his PPA get rebuilt nightly so I suspect that if you upgrade tomorrow that your camera should work. Enjoy!

-Ben

Please Log in or Create an account to join the conversation.

2 months 1 week ago
GavinW
New Member
New Member
Posts: 2
More
Driver for old Meade DSi 1 Pro #64724
Hi Ben / Bruce and all who can help.
I came across this thread which seems to identify the problem I’m having. I’ve moving from a W7 PC to a RaspPi4B running UBUNTU 20.04 LTS 64-bit and KSTARS/EKOS.
I can find the DSI Pro III colour using sudo usb-devices (lsusb doesn’t give me all USB devices):

T: Bus=01 Lev=04 Prnt=08 Port=01 Cnt=01 Dev#= 14 Spd=480 MxCh= 0
D: Ver= 2.00 Cls=00(>ifc ) Sub=00 Prot=00 MxPS=64 #Cfgs= 1
P: Vendor=156c ProdID=0101 Rev=00.00
S: Manufacturer=Cypress
S: Product=EZ-USB FX2
C: #Ifs= 1 Cfg#= 1 Atr=80 MxPwr=500mA
I: If#=0x0 Alt= 0 #EPs= 6 Cls=ff(vend.) Sub=00 Prot=00 Driver=(none)
I’ve run all the commands upto link but when I start EKOS I only get to:

ubuntu@ubuntu:~$ indiserver -v indi_dsi_ccd
2020-12-20T08:02:03: startup: indiserver -v indi_dsi_ccd
2020-12-20T08:02:03: Driver indi_dsi_ccd: pid=5037 rfd=3 wfd=6 efd=7
2020-12-20T08:02:03: listening to port 7624 on fd 4
2020-12-20T08:02:03: Driver indi_dsi_ccd: snooping on Telescope Simulator.EQUATORIAL_EOD_COORD
2020-12-20T08:02:03: Driver indi_dsi_ccd: snooping on Telescope Simulator.TELESCOPE_INFO
2020-12-20T08:02:03: Driver indi_dsi_ccd: snooping on Telescope Simulator.GEOGRAPHIC_COORD
2020-12-20T08:02:03: Driver indi_dsi_ccd: snooping on Telescope Simulator.TELESCOPE_PIER_SIDE
2020-12-20T08:02:03: Driver indi_dsi_ccd: snooping on Rotator Simulator.ABS_ROTATOR_ANGLE
2020-12-20T08:02:03: Driver indi_dsi_ccd: snooping on Focuser Simulator.ABS_FOCUS_POSITION
2020-12-20T08:02:03: Driver indi_dsi_ccd: snooping on Focuser Simulator.FOCUS_TEMPERATURE
2020-12-20T08:02:03: Driver indi_dsi_ccd: snooping on CCD Simulator.FILTER_SLOT
2020-12-20T08:02:03: Driver indi_dsi_ccd: snooping on CCD Simulator.FILTER_NAME
2020-12-20T08:02:03: Driver indi_dsi_ccd: snooping on SQM.SKY_QUALITY
2020-12-20T08:02:07: Client 0: new arrival from 127.0.0.1:50762 - welcome!
2020-12-20T08:02:51: Client 0: read EOF
2020-12-20T08:02:51: Client 0: shut down complete - bye!

@Ben, you said to leave everything as default, but if I put nothing in the CCD section it won’t start and I get a warning saying I need at least a CCD or Guider. So I selected MEADE DSI in CCD but the output is as with Bruce:

2020-12-20T09:01:45: [INFO] Unable to find DSI. Has the firmware been loaded?

What's worrying is that you say the correction has been applied in the driver, but that was 3 months ago and I'm sure I've updated...
I'd be really grateful for any help / advice ?
Thanks!

Le petit observatoire de Lauzerville:
10" Meade LX200R
DSI Pro III colour
Sirius Home Dome
RaspPi4B running Ubuntu 20.04 LTS 64-bit

Please Log in or Create an account to join the conversation.

Time to create page: 0.650 seconds